<?php

namespace Drupal\commerce_qb_webconnect\Plugin\migrate\source;

use Drupal\migrate_drupal_d8\Plugin\migrate\source\d8\ContentEntity;

/**
 * Customer profile extract.
 *
 * @MigrateSource(
 *   id = "qb_webconnect_customer_profile",
 * )
 */
class QbeCustomerProfile extends ContentEntity {

  /**
   * {@inheritdoc}
   */
  public function query() {
    $query = parent::query();
    $entityDefinition = $this->entityTypeManager->getDefinition($this->configuration['entity_type']);
    $idKey = $entityDefinition->getKey('id');
    $query->leftJoin('commerce_order', 'o', "o.billing_profile__target_id = b.$idKey");

    return $query;
  }

}
